#include <xvt.h>
#include <checks.h>

#include "cg5.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5}"

int main(int argc,char** argv)
{
  const int n = (argc > 1) ? atoi(argv[1]+1) : -1;

  switch (n)
  {
  case 0:
    cg5000(argc,argv) ; break;
  case 1:
    cg5100(argc,argv) ; break;
  case 2:
    cg5200(argc,argv) ; break;
  case 3:
    cg5300(argc,argv) ; break;
  case 4:
    cg5400(argc,argv) ; break;
  case 5:
    cg5500(argc,argv) ; break;
  case 6:
    cg5600(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ;
  }
  return 0;
}
